#include <stdio.h>
#include <unistd.h>	/* defines fork(), and pid_t.      */
#include <sys/wait.h>	/* defines the wait() system call. */
int main()
{
pid_t child_pid; /* storage place for the pid of the child process, and its exit status. */
int child_status;

/* lets fork off a child process... */
child_pid = fork();

/* check what the fork() call actually did */
switch (child_pid) {
    case -1:	/* fork() failed */
	perror("fork");	/* print a system-defined error message */
	exit(1);
    case 0:	/* fork() succeeded, we're inside the child process */
	printf("I am the child, Hello world\n");
	sleep(10);
	exit(0);	/* here the CHILD process exits, not the parent. */
    default:	/* fork() succeeded, we're inside the parent process */
	printf("I am the parent, waiting for the child process %d to exit...\n",child_pid);
	wait(&child_status);	/* wait till the child process exits */
	printf("I am the parent, child process %d exited with status %d\n",child_pid,child_status);
}
}
